# dit-rs

This is a [DIT and StarDIT](https://djeekay.net/dit/) implementation in Rust.

Day names are inspired by the French republican calendar.

I'm using it with the "Command Output" KDE Plasma extension.

## Example

```
$ dit-rs
4.42.88
12022, décade 23, tridi
```

## Installation

### Using Cargo

```
$ cargo build --release
```

`dit-rs` will be in `target/release/`

### Using Arch Linux

```
$ makepkg
$ sudo pacman -U dit-rs-<version>-1-<arch>.pkg.tar.zst
```

`dit-rs` will be in `/usr/bin/`

## Contribution

Feel free to make pull requests or open issues.

## License

[CNPL-NAv7](CNPL-NAv7.md)+
